Subject: [video-codec] Reference frame precision

From: Thomas Daede <[email-masked]>
Date: Thu, 18 Jun 2015 22:00:04 -0700

At the most recent webm summit, early results were presented for VP10
that showed a 3-5% rate savings for using a 12-bit reference frame.

In the case of Daala, the savings are similar, however on some clips the
gain is much greater due to the particular transform and prediction
design (the quilting issues seen earlier).

Using full precision increases memory bandwidth 50-100%, depending on
the implementation. We need to decide if this is an acceptable tradeoff.

In addition, high-bit-depth input will also need this, and although it
is much less common, there seems to be a trend towards supporting it in
VP9 for hardware decoders. So, the question is more if we want to have
two profiles, one for 8 and one for 10-12 bit, or only have one decoder
profile mandating 8-12 bit support.